--
-- Background data gathering for things that are only available from set places


local print = DEVIAN_WORKSPACE and function(...) print('Bank', ...) end or nop
local profileUpdate, needsUpdate
VeneerBankDBMixin = {}
local m = VeneerBankDBMixin

function m:Setup()
  self:RegisterEvent('BANKFRAME_OPENED')
  self:RegisterEvent('BANKFRAME_CLOSED')

  self:SetPoint('CENTER', UIParent, 'CENTER')
  self:SetSize(100,100)
  m.Info:SetPoint('CENTER', self, 'CENTER')

  print('Setup()')


  self.Info:SetFontObject(GameFontNormal)
  self.Info:SetText('Setup')

  for k,v in pairs(self) do
    print(k,v)
  end
end

function m:OnEvent(event)
  print('OnEvent', event)
  self.Info:SetText(event)
end




